KancolleSniffer
===============

[KancolleSniffer]は、艦これのサーバーとブラウザの間の通信をキャプチャして、幅285px高さ550pxのウィンドウに以下の情報をすべて表示するツールです。

- 入渠、建造、遠征の終了を知らせる自動式タイマー
- 艦娘数、装備数、バケツ数
- 起動中に稼いだ戦果(ボーナス戦果を除く)
- 艦娘の耐久、コンディション値、レベル、次のレベルまでの経験値
- 艦隊の制空値
- 疲労回復までの時間を知らせる自動式タイマー
  - 疲労アイコン消灯、間宮消灯、隠れ疲労回復の3種類
- 明石による泊地修理の経過時間(明石タイマー)
  - [独自の調査]を基に計測
- 各艦隊の燃料と弾薬の消費レベル(4段階)
- 遂行中の任務

タイマーの終了などの通知は、ウィンドウの点滅、通知領域のバルーン表示、サウンドの再生から必要なものを選択できます。サウンドファイルにはWAV、WMA、MP3などを設定できます。既定では音声ファイルを再生します。


要望やバグ報告は[チケット]に登録してください。

[KancolleSniffer]: http://kancollesniffer.sourceforge.jp/
[独自の調査]: https://gist.github.com/fujieda/440fa64d310c2b6960f3
[チケット]: https://sourceforge.jp/ticket/newticket.php?group_id=8983


## 動作環境

Windows Vista以降の.NET Framework 4.5か4.5.1がインストールされている環境で動作します。Windows Vistaか7の場合は[.NET Framework 4.5.1]をインストールしてください。

[.NET Framework 4.5.1]: http://download.microsoft.com/download/1/6/7/167F0D79-9317-48AE-AEDB-17120579F8E2/NDP451-KB2858728-x86-x64-AllOS-ENU.exe

## インストール

ダウンロードしたアーカイブを適当なディレクトリに展開して、KancolleSniffer.exeを実行してください。C:\Program Files以下などのアプリケーションが書き込みできないディレクトリに置いてはいけません。

## ライセンス

KancolleSnifferは[GNU GPLv3][1]でライセンスします。ただしGPLv3の第7節に関する追加の許可として、FiddlerCore4.dllは[End User License Agreement for FiddlerCore][2]で、DynamicJson.dllは[Microsoft Public License (Ms-PL)][3]でライセンスされます。音声ファイルは[Open JTalkオンラインデモページ][4]で生成しました。

[1]: http://sourceforge.jp/magazine/07/09/02/130237
[2]: https://sourceforge.jp/projects/kancollesniffer/wiki/FiddlerCoreLicense
[3]: http://dynamicjson.codeplex.com/license
[4]: http://open-jtalk.sp.nitech.ac.jp/index.php

## 注意

KancolleSnifferを起動してから艦これにログインしてください。ログイン中の場合はログインし直してください。ログイン時にしか取得できない情報が多いので、それを取得するまで何も表示しません。

KancolleSnifferはシステムのプロキシの設定を書き換えて通信をキャプチャします。Firefoxではプロキシ設定で「システムのプロキシ設定を利用する」を指定しないと動きません。 

KancolleSnifferが終了時にプロキシの設定を復旧しそこなうと、ブラウザがインターネットに接続できなくなります。その場合は、インターネットオプションのプロキシの設定の「LANにプロキシ サーバーを使用する」のチェックを外してください。 

Windowsを再起動すると「LANにプロキシ サーバーを使用する」のチェックが戻ってしまう場合は、レジストリエディタ(regedit)で`HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings\ProxyServer`を削除してください。 

## 変更点

#### バージョン1.10 (2014-06-09)

- 艦隊編成を変更してから母港に戻るまで疲労タイマーを無効にします
- 起動中に稼いだ戦果を表示します
- 設定ダイアログをメインウィンドウの中央に表示します
- ウィンドウが少し小さくなります
- 制空値の計算に水上爆撃機が計上されないのが直ります

#### バージョン1.9 (2014-05-23)

- 明石による泊地修理の経過時間(明石タイマー)を表示します
- 編成で艦娘が艦隊を移動したときに表示が正しく反映されないのが直ります
- 艦隊にいる艦娘が解体されたときに表示が正しく反映されないのが直ります
- バケツ使用時にバケツの減少とcond値の回復がすぐに反映されないのが直ります
- タイマーが黒に戻らないことがあるのが直ります

#### バージョン1.8 (2014-04-27)

- 入渠でバケツを使った回復がすぐに反映されないのが直ります
- 一度に複数装備を破棄したときに、装備数が一つしか減らないのが直ります
- 編成で艦娘を外した時に表示に正しく反映されないのが直ります

#### バージョン1.7 (2014-04-25)

- 4月23日に行われたプロトコル変更に対応します

プロトコルの変更により、進撃か撤退を選ぶときに戦闘後の艦娘の状態を確認できなくなりました。

#### バージョン1.6 (2014-04-22)

- ログイン時に流れる情報の取得が必須になります
- ログイン時に建造済みの艦娘がいてもわからないのが直ります
- 制空値を表示します
- 第二～第四艦隊の情報を表示できます
- 3桁のレベルを表示できないのが直ります

#### バージョン1.5 (2014-03-02)

- 次のレベルまでの経験値が5ケタしか表示されないのが直ります
- 小破のときに耐久の背景色がくすんだ黄色に変わります

#### バージョン1.4 (2014-01-12)

- 新規実装以外でも改造した艦娘の名前が不明になるのが直ります
- 各艦隊の燃料と弾薬の消費レベルを表示します
- 建造タイマーの通知を1分前ではなく完了したときにします
- ウィンドウを最前面に表示できます
- 耐久の背景色が文字の部分だけ変わります
- コンディション値が本当に0のときに背景色が赤にならないのが直ります
- 建造タイマーのラベルを工廠から建造に変更します

#### バージョン1.3 (2014-01-05)

- レベルの表示を3列目に移動します
- 3桁の耐久に対応します
- 入渠や間宮による回復が疲労タイマーに反映されます
- 通知領域のバルーンヒントでイベントを通知できます
- サウンドの再生でイベントを通知できます
- 通知方法を設定できます
- 既定のサウンドとして音声ファイルを添付します

#### バージョン1.2 (2013-12-22)

- 中破・大破時に耐久の文字色が変わって読めなくなるのが直ります
- 中破・大破した艦娘を艦隊から外すと耐久の文字色が残るのが直ります
- 疲労タイマーがゼロになったあと増えていくのが直ります
- 疲労タイマーが不必要に再設定されて3分単位に切り上がるのが直ります
- 隠れ疲労が取れるまでのタイマーを表示します

#### バージョン1.1 (2013-12-21)

- アイコンが変わります
- 艦娘のドロップや工廠での解体で艦娘数と装備数が増減します
- 中破・大破したときに耐久の文字の背景色が変わります
- 午前5時を過ぎたら前日のデイリーを消すために任務をリセットします
- 艦娘のコンディション値を表示します
- 疲労状態から回復するまでと間宮点滅の止まるまでのタイマーを表示します

#### バージョン1.0 (2013-12-18)

- 最初のリリース